package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouCreative;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 快手-创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface IKuaiShouCreativeService extends IService<KuaiShouCreative> {

    void replaceBatch(List<KuaiShouCreative> creatives);

    /**
     * 获取MD5
     *
     * @param creativeId
     * @return
     */
    String getCodeByCreativeId(Long creativeId);

    /**
     * 创意条数
     *
     * @param accountId
     * @param unitId
     * @return
     */
    Integer checkCreativeCount(Long accountId, Long unitId);

    void syncCreative(Long accountId, String accessToken, Long campaignId, Integer page);

    /**
     * 获取当前创意创建数
     *
     * @param accountId
     * @param startTime
     * @return
     */

    Integer getCreateCount(Long accountId, String startTime);

    /**
     * 按广告系列ID删除所有广告素材
     *
     * @param
     * @return void
     * @throws
     * @author ZHAOXA
     */
    void delAllCreativesByCampaignId(Long accountId, Long campaignId);

    List<KuaiShouCreative> queryCreativeInfoByCampaignId(Long accountId, Long campaignId);

    KuaiShouCreative getCreativeByCreativeId(Long creativeId);

    JSONArray getCreativeIds(Long accountId);

    String convertMoString(String sMo);

    List<KuaiShouCreative> getByParams(Long accountId, String photoId, Integer putStatus);
}
